Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.tc
Class TypeSig

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.Type
              javafe.tc.TypeSig
                  escjava.tc.TypeSig

All Implemented Interfaces:
  java.lang.Cloneable

public class TypeSig
extends TypeSig

Field Summary
`FieldDeclVec` | `jmlDupFields`
`FieldDeclVec` | `jmlFields`
`FieldDeclVec` | `jmlHiddenFields`

Fields inherited from class javafe.tc.TypeSig
`CHECKED, CREATED, CU, enclosingEnv, enclosingType, fields, hiddenfields, LINKSRESOLVED, member, methods, myTypeDecl, packageName, PARSED, PREPPED, RESOLVINGLINKS, sigDecoration, simpleName, state, THE_UNNAMED_PACKAGE`

Fields inherited from class javafe.ast.Type
`tmodifiers`

Fields inherited from class javafe.ast.ASTNode
``

Constructor Summary
`TypeSig(java.lang.String[] packageName, java.lang.String simpleName, TypeSig enclosingType, TypeDecl decl, CompilationUnit CU)`
`TypeSig(java.lang.String simpleName, Env enclosingEnv, TypeDecl decl)`

Method Summary
`boolean` | `hasField(Identifier id)` TBW
`FieldDecl` | `lookupField(Identifier id, TypeSig caller)` TBW

Methods inherited from class javafe.tc.TypeSig
`accept, accept, check, childAt, childCount, clear, deepCheck, getCompilationUnit, getEnclosingEnv, getEndLoc, getEnv, getExternalName, getFields, getFieldsRaw, getHiddenFields, getMethods, getPackageName, getRawSig, getSig, getSig, getStartLoc, getTag, getTypeDecl, getTypeName, hasMethod, inSamePackageAs, isPreloaded, isStatic, isSubtypeOf, isTopLevelType, lookup, lookupConstructor, lookupLocalType, lookupMethod, lookupType, prep, resolveSupertypeLinks, setDecl, setSig, superClass, superInterfaces, toString, typecheck, typecheckSuperTypes`

Methods inherited from class javafe.ast.ASTNode
`clone, clone, getDecorations, setDecorations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### jmlFields

    public FieldDeclVec jmlFields

### jmlHiddenFields

    public FieldDeclVec jmlHiddenFields

### jmlDupFields

    public FieldDeclVec jmlDupFields

Constructor Detail

### TypeSig

    public TypeSig(java.lang.String[] packageName,
                   java.lang.String simpleName,
                   TypeSig enclosingType,
                   TypeDecl decl,
                   CompilationUnit CU)

### TypeSig

    public TypeSig(java.lang.String simpleName,
                   Env enclosingEnv,
                   TypeDecl decl)

Method Detail

### hasField

    public boolean hasField(Identifier id)

  Description copied from class: `TypeSig`
  TBW

  Overrides:
    `hasField` in class `TypeSig`

### lookupField

    public FieldDecl lookupField(Identifier id,
                                 TypeSig caller)
                          throws LookupException

  Description copied from class: `TypeSig`
  TBW

  Overrides:
    `lookupField` in class `TypeSig`
  Throws:
    `LookupException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage